/* Global state of ceelog library.

Copyright (C) 2012 Red Hat, Inc. All rights reserved.
This copyrighted material is made available to anyone wishing to use, modify,
copy, or redistribute it subject to the terms and conditions of the GNU General
Public License v.2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
Street, Fifth Floor, Boston, MA 02110-1301, USA.

Author: Miloslav Trmač <mitr@redhat.com> */

#ifndef CEELOG_CEELOG_H__
#define CEELOG_CEELOG_H__

#include <glib.h>

G_BEGIN_DECLS

/* Initialize libceelog. */
extern void ceelog_init (void);

/* GError definitions. */
extern GQuark ceelog_error_quark (void);
#define CEELOG_ERROR (ceelog_error_quark ())

typedef enum
  {
    CEELOG_ERROR_FAILED,
    CEELOG_ERROR_WOULD_BLOCK,
    CEELOG_ERROR_IO,
    CEELOG_ERROR_EXPRESSION_SYNTAX,
    CEELOG_ERROR_INVALID_CONFIG,
  } CEELogError;

G_END_DECLS

#endif
